Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.xml
Class ByteArrayDataSource

    java.lang.Object
      com.jaspersoft.jasperserver.ws.xml.ByteArrayDataSource

All Implemented Interfaces:
  javax.activation.DataSource

    public class ByteArrayDataSource

extends java.lang.Object
implements javax.activation.DataSource

Author:
  Administrator

Constructor Summary
`ByteArrayDataSource(byte[] buffer)` Creates a new instance of ByteArrayDataSource
`ByteArrayDataSource(byte[] buffer, java.lang.String contentType)` Creates a new instance of ByteArrayDataSource
`ByteArrayDataSource(java.lang.String name, byte[] buffer)` Creates a new instance of ByteArrayDataSource
`ByteArrayDataSource(java.lang.String name, byte[] buffer, java.lang.String contentType)` Creates a new instance of ByteArrayDataSource

Method Summary
`byte[]` | `getBuffer()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getContenType()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`
`void` | `setBuffer(byte[] buffer)`
`void` | `setContenType(java.lang.String contenType)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayDataSource

    public ByteArrayDataSource(java.lang.String name,
                               byte[] buffer)

  Creates a new instance of ByteArrayDataSource

### ByteArrayDataSource

    public ByteArrayDataSource(byte[] buffer)

  Creates a new instance of ByteArrayDataSource

### ByteArrayDataSource

    public ByteArrayDataSource(byte[] buffer,
                               java.lang.String contentType)

  Creates a new instance of ByteArrayDataSource

### ByteArrayDataSource

    public ByteArrayDataSource(java.lang.String name,
                               byte[] buffer,
                               java.lang.String contentType)

  Creates a new instance of ByteArrayDataSource

Method Detail

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getContenType

    public java.lang.String getContenType()

### setContenType

    public void setContenType(java.lang.String contenType)

### setName

    public void setName(java.lang.String name)

### getBuffer

    public byte[] getBuffer()

### setBuffer

    public void setBuffer(byte[] buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.